%define pypi_name	google_api_python_client
%define src_name	google-api-python-client

Name:		python-%{src_name}
Summary:	Python libraries for accessing Google APIs
Version:	2.149.0
Release:	%mkrel 4
License:	ASL 2.0
Group:		Development/Python
URL:		https://github.com/googleapis/google-api-python-client
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	python3-setuptools

%description
Python libraries for accessing Google APIs.

%package -n python3-%{src_name}
Summary:	Python 3 libraries for accessing Google APIs
Group:		Development/Python

%description -n python3-%{src_name}
Python 3 libraries for accessing Google APIs.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# simplify requirement on google-api-core
sed -i "s/google-api-core >= 1.31.5, <3.0.0.dev0,!=2.0.*,!=2.1.*,!=2.2.*,!=2.3.0/google-api-core>=1.31.5/" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files apiclient googleapiclient

%files -n python3-%{src_name} -f %{pyproject_files}
%license LICENSE
%doc README*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.149.0-4.mga10
+ Revision: 2241782
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.149.0-3.mga10
+ Revision: 2157093
- rebuild for python3.13
- rebuild for python3.13

* Sat Dec 21 2024 papoteur <papoteur> 2.149.0-1.mga10
+ Revision: 2127077
- new version 2.149.0

* Tue Jan 30 2024 papoteur <papoteur> 2.115.0-1.mga10
+ Revision: 2036307
- relax requirement on google-api-core
- new version 2.115.0

* Sun May 29 2022 wally <wally> 2.49.0-1.mga9
+ Revision: 1860647
- new version 2.49.0

* Wed Mar 23 2022 umeabot <umeabot> 1.7.7-6.mga9
+ Revision: 1823755
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 1.7.7-5.mga9
+ Revision: 1784450
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.7.7-4.mga9
+ Revision: 1732966
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.7.7-3.mga8
+ Revision: 1533082
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.7.7-2.mga8
+ Revision: 1443320
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.7.7-1.mga7
+ Revision: 1353231
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.2-6.mga7
+ Revision: 1288927
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.4.2-5.mga7
+ Revision: 1135440
- Rebuild for python 3.6

* Wed Apr 27 2016 daviddavid <daviddavid> 1.4.2-4.mga6
+ Revision: 1006946
- use new python macros

* Fri Feb 19 2016 umeabot <umeabot> 1.4.2-3.mga6
+ Revision: 971003
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.4.2-2.mga6
+ Revision: 888915
- rebuild for python 3.5

* Mon Sep 14 2015 pterjan <pterjan> 1.4.2-1.mga6
+ Revision: 879028
- Update to 1.4.2 and build python3 version which is not supported

* Mon Sep 14 2015 pterjan <pterjan> 1.2-6.mga6
+ Revision: 879006
- Actually remove included oauth2client instead of conflicting
- Add a conflict with python-oauth2client which is now packaged separately

* Wed Oct 15 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 739231
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2-4.mga5
+ Revision: 728630
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2-3.mga5
+ Revision: 688060
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sun Dec 08 2013 pterjan <pterjan> 1.2-1.mga4
+ Revision: 555970
- imported package python-google-api-python-client

